Update user settings
PATCH
/user/settings
const url = 'https://gitea.example.com/api/v1/user/settings';const options = { method: 'PATCH', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"description":"example","diff_view_style":"example","full_name":"example","hide_activity":true,"hide_email":true,"language":"example","location":"example","theme":"example","website":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://gitea.example.com/api/v1/user/settings \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "diff_view_style": "example", "full_name": "example", "hide_activity": true, "hide_email": true, "language": "example", "location": "example", "theme": "example", "website": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”UserSettingsOptions represents options to change user settings
object
description
string
diff_view_style
string
full_name
string
hide_activity
boolean
hide_email
Privacy
boolean
language
string
location
string
theme
string
website
string
Examplegenerated
{ "description": "example", "diff_view_style": "example", "full_name": "example", "hide_activity": true, "hide_email": true, "language": "example", "location": "example", "theme": "example", "website": "example"}UserSettingsOptions represents options to change user settings
object
description
string
diff_view_style
string
full_name
string
hide_activity
boolean
hide_email
Privacy
boolean
language
string
location
string
theme
string
website
string
Responses
Section titled “Responses”UserSettings
Media typeapplication/json
Array<object>
UserSettings represents user settings
object
description
string
diff_view_style
string
full_name
string
hide_activity
boolean
hide_email
Privacy
boolean
language
string
location
string
theme
string
website
string
Examplegenerated
[ { "description": "example", "diff_view_style": "example", "full_name": "example", "hide_activity": true, "hide_email": true, "language": "example", "location": "example", "theme": "example", "website": "example" }]